## fonts-stix 2.13b171+ds

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile requirements.in
#
appdirs==1.4.4
    # via fs
attrs==20.3.0
    # via
    #   fontmake
    #   ufolib2
booleanoperations==0.9.0
    # via
    #   fontmake
    #   ufo2ft
brotli==1.0.9
    # via fonttools
cffsubr==0.2.8
    # via
    #   -r requirements.in
    #   ufo2ft
compreffor==0.5.1
    # via ufo2ft
cu2qu==1.6.7
    # via
    #   fontmake
    #   ufo2ft
fontmake[pathops]==2.4.0
    # via -r requirements.in
fontmath==0.6.0
    # via fontmake
fonttools[lxml,ufo,unicode,woff]==4.22.1
    # via
    #   -r requirements.in
    #   booleanoperations
    #   cffsubr
    #   compreffor
    #   cu2qu
    #   fontmake
    #   fontmath
    #   glyphslib
    #   psautohint
    #   ufo2ft
    #   ufolib2
fs==2.4.13
    # via fonttools
glyphslib==5.3.2
    # via fontmake
lxml==4.6.3
    # via fonttools
psautohint==2.3.0
    # via -r requirements.in
pyclipper==1.2.1
    # via booleanoperations
pytz==2021.1
    # via fs
six==1.15.0
    # via fs
skia-pathops==0.6.0.post2
    # via fontmake
ttfautohint-py==0.4.3
    # via -r requirements.in
ufo2ft[compreffor]==2.21.0
    # via fontmake
ufolib2==0.11.1
    # via
    #   -r requirements.in
    #   fontmake
    #   glyphslib
zopfli==0.1.8
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools

## fonts-stix 1.1.1

=== debian/changelog ===
fonts-stix (1.1.1-5) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * debian/clean: Clean build/ dir explicitly.
    (Closes: #1044434)  (Closes: #1049749)
  * Refresh packaging:
    + Use debhelper compat v13.
    + Use Standards-Version 4.6.2.
  * debian/compat: Dropped, useless.
  * debian/preinst: Dropped, useless. (Closes: #900578)
  * debian/control: Use Debian Salsa GitLab packaging VCS repo.
  * debian/watch: Fix upstream monitoring script.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Dec 2023 14:18:05 -0500

fonts-stix (1.1.1-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 25 Dec 2020 18:04:12 +0100

fonts-stix (1.1.1-4) unstable; urgency=low

  * debian/control, debian/copyright:
    - Change the Maintainer's e-mail address.
  * debian/control:
    - Use https for the Vcs-Browser field.
  * debian/copyright:
    - Use https for the Format field.
  * Add TZ=UTC before unzip in debian/rules to make the files 
    mtime invariant to timezone to make the package build 
    reproducibly (Closes: #792602). Acknowledgements to Dhole 
    for this fix.

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 23 Sep 2015 15:56:16 +0200

fonts-stix (1.1.1-3) unstable; urgency=low

  * Upload to unstable.
  * debian/preinst:
    - Fix lintian warning command-with-path-in-maintainer-script
      by following the developers-reference's advices. 

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Wed, 15 Apr 2015 19:45:53 +0200

fonts-stix (1.1.1-2) experimental; urgency=medium

  * New maintainer (Hugo Lefeuvre) (Closes: #773941).
  * debian/compat:
    - Bump compat level to 9.
  * Add debian/source/format:
    - Bump source-format to 3.0 (quilt).
  * debian/control:
    - Bump debhelper's minimal version to 9.
    - Bump Standards-Version to 3.9.6.
    - Fix lintian warning description-synopsis-might-not-be-phrased-properly
      by deleting the point at the end of oft-stix's description-synopsis.
    - Add Vcs-Svn and Vcs-Browser fields.
    - Remove oft-stix transitional package (not relevant anymore).
  * debian/copyright:
    - Bump copyright format to 1.0 (Machine readable).
    - Mention Hugo's work.
  * debian/rules:
    - Bump format to dh_*.
  * Add debian/install.
  * Delete debian/dirs (d/dirs became useless because of d/install).
  * Add debian/watch.

 -- Hugo Lefeuvre <hugo6390@orange.fr>  Thu, 12 Feb 2015 11:52:31 +0100

fonts-stix (1.1.1-1) unstable; urgency=medium

  * New Upstream Release.  Thanks to Frédéric WANG <fred DOT wang AT free.fr>
    and Juhapekka Tolvanen <juhtolv AT iki.fi>.  (Closes: #713813)
   - this includes STIX-General from STIXv1.1.0.zip and STIX-Word from
     STIXv1.1.1-word.zip so version is a bit confusing.
  * Clean up lintian warning by adding Multi-Arch foreign.
  * Bumped Standard version, no changes needed.

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 06 Jun 2014 12:56:30 +0900

fonts-stix (1.1.0-1) unstable; urgency=low

  * New Upstream Release.  (Closes: #669332)

 -- Atsuhito KOHDA <kohda@debian.org>  Fri, 20 Apr 2012 11:01:40 +0900

fonts-stix (1.1.0~beta1-2) unstable; urgency=low

  * The followings are suggested by Paul Wise <pabs AT debian.org>.
    Thanks Paul!
  * Renamed source package too.
  * Provided transition otf-stix package also.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 24 Nov 2011 13:38:23 +0900

otf-stix (1.1.0~beta1-1) unstable; urgency=low

  * New Upstream (beta) Release.  (Closes: #646922)
   - STIX-Word is not contained because I believe it is not necessary
     for Debian.  If I am wrong, please let me know.
  * Renamed binary package from otf-stix to fonts-stix.

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 24 Nov 2011 09:03:01 +0900

otf-stix (1.0.0-1) unstable; urgency=low

  * New Upstream Release.  The first official release!
  * Updated a copyright file with STIXFontLicense2010.txt
  * Removed empty postinst and prerm.
  * Bumped up Standards-Version: 3.8.4 without any real changes.

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 07 Jun 2010 16:57:58 +0900

otf-stix (0.9~2007.10.31-5) unstable; urgency=low

  * Remove defoma hints files and dependency on defoma.

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 28 Dec 2009 21:43:51 +0900

otf-stix (0.9~2007.10.31-4) unstable; urgency=low

  * Removed unnecessary call for fc-cache

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 16 Jun 2009 17:21:24 +0900

otf-stix (0.9~2007.10.31-3) unstable; urgency=low

  * Fixed Build-Depends (added unzip).  (Closes: #526539)

 -- Atsuhito KOHDA <kohda@debian.org>  Sun, 03 May 2009 18:46:27 +0900

otf-stix (0.9~2007.10.31-2) unstable; urgency=low

  * Uploaded to unstable and changed Section from x11 to fonts
    as suggested by Debian Installer.

 -- Atsuhito KOHDA <kohda@debian.org>  Tue, 31 Mar 2009 13:36:46 +0900

otf-stix (0.9~2007.10.31-1) experimental; urgency=low

  * Initial release.  (Closes: #449205)

 -- Atsuhito KOHDA <kohda@debian.org>  Thu, 27 Nov 2008 20:12:12 +0900

=== debian/control ===
Source: fonts-stix
Section: fonts
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 unzip,
Standards-Version: 4.6.2
Homepage: http://www.stixfonts.org
Vcs-Git: https://salsa.debian.org/debian/fonts-stix.git
Vcs-Browser: https://salsa.debian.org/debian/fonts-stix

Package: fonts-stix
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Provides:
 otf-stix,
Description: Scientific and Technical Information eXchange fonts
 The mission of the Scientific and Technical Information Exchange (STIX)
 font creation project is the preparation of a comprehensive set of fonts
 that serve the scientific and engineering community in the process from
 manuscript creation through final publication, both in electronic and print
 formats.

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/stipub/stixfonts/releases?per_page=100 \
 https://api.github.com/repos/stipub/stixfonts/tarball/@ANY_VERSION@

## fonts-stix 2.13b171

=== debian/changelog ===
fonts-stix (2.13b171-1) unstable; urgency=medium

  * New maintainer. (Closes: #1122167)
  * New upstream release (v2.13).
  * Update packaging for STIX Two.
  * Update debian/install to copy static OTF fonts.

 -- Junyong Liang <liangjunyong06@gmail.com>  Tue, 09 Dec 2025 12:00:00 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: fonts-stix
 Section: fonts
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Junyong Liang <liangjunyong06@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- unzip,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://www.stixfonts.org
 Vcs-Git: https://salsa.debian.org/debian/fonts-stix.git
 Vcs-Browser: https://salsa.debian.org/debian/fonts-stix

## fonts-stix 2.13b171%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: fonts-stix
 Section: fonts
 Priority: optional
-Maintainer: Junyong Liang <liangjunyong06@gmail.com>
+Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
+Uploaders: Junyong Liang <liangjunyong06@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.2
-Homepage: http://www.stixfonts.org
+Standards-Version: 4.7.3
+Homepage: https://github.com/stipub/stixfonts
 Vcs-Git: https://salsa.debian.org/debian/fonts-stix.git
 Vcs-Browser: https://salsa.debian.org/debian/fonts-stix

=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+ds//,filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/stipub/stixfonts/releases?per_page=100 \
 https://api.github.com/repos/stipub/stixfonts/tarball/@ANY_VERSION@

## fonts-stix 2.13b171+ds

=== debian/changelog ===
fonts-stix (2.13b171+ds-2) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * debian: install truetype too

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Feb 2026 13:10:00 -0500

fonts-stix (2.13b171+ds-1) unstable; urgency=medium

  * New upstream release.
  * Adopt the package under the Debian Fonts Team. (Closes: #1050247)
  * Update debian/copyright:
    - Update copyright years to 2001-2021.
    - Add "TM Math" Reserved Font Name statement.
  * Repack upstream source:
    - Exclude 'archive/' directory containing obsolete versions.
    - Keep current source files and tools to facilitate future
      source-based builds.
  * Modernize packaging:
    - Update Standards-Version to 4.7.3.
    - Use debhelper-compat 13.
    - Update debian/install to deploy OTF fonts.

 -- Junyong Liang <liangjunyong06@gmail.com>  Mon, 19 Jan 2026 15:00:00 +0800

=== debian/rules ===
#!/usr/bin/make -f

ver_word=1.1.1
ver_base=1.1.0

%:
	dh $@
